com.google.cloud.dataflow.sdk.coders

## Class CoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.cloud.dataflow.sdk.coders.CoderException

All Implemented Interfaces:
  Serializable

    public class CoderException
    extends IOException

An `Exception` thrown if there is a problem encoding or decoding a value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CoderException(String message)`
`CoderException(String message, Throwable cause)`
`CoderException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoderException

    public CoderException(String message)

#### CoderException

    public CoderException(String message,
                          Throwable cause)

#### CoderException

    public CoderException(Throwable cause)